puppetlabs/rabbitmq has been deprecated

Bug #1850236 reported by zhongshengping on 2019-10-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-barbican
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-ceilometer
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-cinder
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-cloudkitty
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-congress
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-designate
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-glance
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-heat
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-ironic
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-magnum
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-manila
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-murano
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-neutron
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-octavia
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-openstack-integration
Undecided
zhongshengping
puppet-openstacklib
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-sahara
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-tacker
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-trove
Undecided
zhongshengping
Train
Undecided
zhongshengping
puppet-watcher
Undecided
zhongshengping
Train
Undecided
zhongshengping

Bug Description

In a few puppet modules (nova, keystone, magnum, sahara), there is a dependency on puppetlabs/rabbitmq >=8.4.0 <9.0.0 . However, puppetlabs/rabbitmq on forge (https://forge.puppet.com/puppetlabs/rabbitmq) has been deprecated and max version is 5.6.0

It has been superseded by puppet/rabbitmq https://forge.puppet.com/puppet/rabbitmq so I think the dependency name should be puppet/rabbitmq instead? Is this a bug?

This affects us as we deploy using librarian-puppet, and it checks versions and throws the following error

[Librarian] Resolving puppetlabs-rabbitmq (< 9.0.0, >= 8.4.0) <https://forgeapi.puppetlabs.com>
[Librarian] Checking manifests
[Librarian] Module puppetlabs-rabbitmq found versions: 5.6.0, 5.5.0, 5.4.0, 5.3.1, 5.2.3, 5.2.2, 5.2.1, 5.2.0, 5.1.0, 5.0.0, 4.1.0, 4.0.0, 3.1.0, 3.0.0-rc2, 3.0.0-rc1, 3.0.0, 2.1.0, 2.0.2, 2.0.1, 1.0.4, 1.0.3
[Librarian] Checking puppetlabs-rabbitmq/5.6.0 <https://forgeapi.puppetlabs.com>
[Librarian] Conflict between puppetlabs-rabbitmq/5.6.0 <https://forgeapi.puppetlabs.com> and puppetlabs-rabbitmq (< 9.0.0, >= 8.4.0) <https://forgeapi.puppetlabs.com>
[Librarian] Backtracking from puppetlabs-rabbitmq/5.6.0 <https://forgeapi.puppetlabs.com>

zhongshengping (chdzsp) on 2019-10-29
Changed in puppet-aodh:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-barbican:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ceilometer:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cinder:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cloudkitty:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-congress:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-designate:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-glance:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-heat:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2019-10-29
Changed in puppet-ironic:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-magnum:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-manila:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-murano:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-neutron:
assignee: nobody → zhongshengping (chdzsp)
no longer affects: puppet-nova
Changed in puppet-octavia:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-openstacklib:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-sahara:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-tacker:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2019-10-29
Changed in puppet-trove:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-watcher:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.opendev.org/691778

Changed in puppet-tacker:
status: New → In Progress
Changed in puppet-murano:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691779

Changed in puppet-octavia:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691780

Changed in puppet-barbican:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691781

Changed in puppet-magnum:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691782

Changed in puppet-ceilometer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691785

Changed in puppet-manila:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691784

Changed in puppet-heat:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691786

Changed in puppet-trove:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691787

Changed in puppet-ironic:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691788

Changed in puppet-sahara:
status: New → In Progress
zhongshengping (chdzsp) on 2019-10-29
Changed in puppet-openstack-integration:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.opendev.org/691791

Changed in puppet-designate:
status: New → In Progress
Changed in puppet-cloudkitty:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691792

Changed in puppet-neutron:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691793

Changed in puppet-congress:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691794

Changed in puppet-cinder:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691795

Changed in puppet-watcher:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691796

Changed in puppet-glance:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/691797

Changed in puppet-aodh:
status: New → In Progress

Reviewed: https://review.opendev.org/691798
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=a8fec741ead2f86e0220e2e79fb58a9ea11a37c6
Submitter: Zuul
Branch: master

commit a8fec741ead2f86e0220e2e79fb58a9ea11a37c6
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Idb85b81978786be8696715921eb9d95b7d424654
    Closes-Bug: #1850236

Changed in puppet-aodh:
status: In Progress → Fix Released
Changed in puppet-cloudkitty:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691792
Committed: https://git.openstack.org/cgit/openstack/puppet-cloudkitty/commit/?id=dd08b3f05169208ad33914a97f3799384f0d81df
Submitter: Zuul
Branch: master

commit dd08b3f05169208ad33914a97f3799384f0d81df
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: If8263cc4ed9ccb2d707da1c035362ace5ca6ef30
    Closes-Bug: #1850236

Changed in puppet-watcher:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691796
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=fa684cc84e9217e16217e378f4f291b48f7859bd
Submitter: Zuul
Branch: master

commit fa684cc84e9217e16217e378f4f291b48f7859bd
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I74420126949df21ea1610e0fb7ffef0960c9704c
    Closes-Bug: #1850236

Changed in puppet-cinder:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691795
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=3e999fd104b1df3dc9735a7098e3e48fdc39e2cd
Submitter: Zuul
Branch: master

commit 3e999fd104b1df3dc9735a7098e3e48fdc39e2cd
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I24bfc3ccbd84481d4a92cc0665d2d724c72a6b91
    Closes-Bug: #1850236

Changed in puppet-designate:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691791
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=2d4ad36d4d8a5b6a0b2a4cc2a2b3c5bd8f01f134
Submitter: Zuul
Branch: master

commit 2d4ad36d4d8a5b6a0b2a4cc2a2b3c5bd8f01f134
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I73d0c80af54de3d9c72291e9f1916058cd6bed02
    Closes-Bug: #1850236

Changed in puppet-sahara:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691790
Committed: https://git.openstack.org/cgit/openstack/puppet-sahara/commit/?id=6a14e2f8d6b92d8659c8581f7d5b30554b563f70
Submitter: Zuul
Branch: master

commit 6a14e2f8d6b92d8659c8581f7d5b30554b563f70
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I0fbcea4c1caed554db673bbb993c7c80e9ebb319
    Closes-Bug: #1850236

Changed in puppet-trove:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691787
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=298ab338012b58361f8b804da7b0644652d699fc
Submitter: Zuul
Branch: master

commit 298ab338012b58361f8b804da7b0644652d699fc
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Id1d41ef02346860f70cfd71361a0ca7aea2816cf
    Closes-Bug: #1850236

Changed in puppet-glance:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691797
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=63f183e7d65445eea43cd5f3ca4243d232247082
Submitter: Zuul
Branch: master

commit 63f183e7d65445eea43cd5f3ca4243d232247082
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: If3a1dec0766f42a51c801e84a94aa3caa1b19240
    Closes-Bug: #1850236

Changed in puppet-murano:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691779
Committed: https://git.openstack.org/cgit/openstack/puppet-murano/commit/?id=6e6252a395a2d8b4ab94f5108be0766d07085fb3
Submitter: Zuul
Branch: master

commit 6e6252a395a2d8b4ab94f5108be0766d07085fb3
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I061cbedf6cfd1a98e97b33867d6aaa9da933be31
    Closes-Bug: #1850236

Changed in puppet-congress:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691794
Committed: https://git.openstack.org/cgit/openstack/puppet-congress/commit/?id=a0c7e8b8fcbe1c392aa1534ee8e866d400fb6fac
Submitter: Zuul
Branch: master

commit a0c7e8b8fcbe1c392aa1534ee8e866d400fb6fac
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I55428eefe522297ac2c948822ad98a9ba503360f
    Closes-Bug: #1850236

Changed in puppet-octavia:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691780
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=904c732828c50983b48d6fb6d5a86a20e1fd5927
Submitter: Zuul
Branch: master

commit 904c732828c50983b48d6fb6d5a86a20e1fd5927
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Iecc817f44ee34a737be6085ea752a878c8b7095d
    Closes-Bug: #1850236

Changed in puppet-neutron:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691793
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=29f5049be21b57b32de8290935774bbe03a51dbc
Submitter: Zuul
Branch: master

commit 29f5049be21b57b32de8290935774bbe03a51dbc
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I9c9b681d356b11ff4bafeb37c7c19459bb99cf2d
    Closes-Bug: #1850236

Changed in puppet-ceilometer:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691785
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=c5807a735e82b0cc258aa42d4520b1f64a7afa53
Submitter: Zuul
Branch: master

commit c5807a735e82b0cc258aa42d4520b1f64a7afa53
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I5ae8d2df21481b91fa7721d3a899a3f1c3bca1ce
    Closes-Bug: #1850236

Changed in puppet-tacker:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691778
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=82b194a9dcda1e88d74a53d3330873386519ef23
Submitter: Zuul
Branch: master

commit 82b194a9dcda1e88d74a53d3330873386519ef23
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I0b138b16696d289176d26518cff6b6b408e9750e
    Closes-Bug: #1850236

Changed in puppet-heat:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691786
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=b4ab38b179190575a3cee7a337a59ab941081a1f
Submitter: Zuul
Branch: master

commit b4ab38b179190575a3cee7a337a59ab941081a1f
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Ia51605174ec50456ff7e61c703cf2c7c79d65ef6
    Closes-Bug: #1850236

Changed in puppet-manila:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691784
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=a0653bd4eb063dd2c094a9b05ba2ead7bfa4c954
Submitter: Zuul
Branch: master

commit a0653bd4eb063dd2c094a9b05ba2ead7bfa4c954
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I53209c2675c883c305b6e62e5233950cf66d14a6
    Closes-Bug: #1850236

Changed in puppet-barbican:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691781
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=2b09b06b561b753d582fe9a117a73b0259dbb45b
Submitter: Zuul
Branch: master

commit 2b09b06b561b753d582fe9a117a73b0259dbb45b
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I18cd5a64aa436d955d96d32e898e364ef9a7c3ca
    Closes-Bug: #1850236

Changed in puppet-magnum:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691782
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=97d4c1897c36365dc39af8769319d7517de28f70
Submitter: Zuul
Branch: master

commit 97d4c1897c36365dc39af8769319d7517de28f70
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I1c2015a899477fe99557e0bff275f51c82d9e788
    Closes-Bug: #1850236

Changed in puppet-ironic:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/691788
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=6deffc3188222be306c21b845f994e2f701a0cd0
Submitter: Zuul
Branch: master

commit 6deffc3188222be306c21b845f994e2f701a0cd0
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I9e6b7e2f80d9543f9697db89a3ffc1e4b244cc57
    Closes-Bug: #1850236

zhongshengping (chdzsp) on 2019-10-29
Changed in puppet-openstacklib:
status: New → Fix Released
Changed in puppet-openstack-integration:
status: New → Fix Released

This issue was fixed in the openstack/puppet-aodh 16.0.0 release.

This issue was fixed in the openstack/puppet-barbican 16.0.0 release.

53 comments hidden view all 133 comments

Reviewed: https://review.opendev.org/717254
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=56a0a1200bec0f105cfe42bfa6751e2fa2fa2cad
Submitter: Zuul
Branch: stable/stein

commit 56a0a1200bec0f105cfe42bfa6751e2fa2fa2cad
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I9e6b7e2f80d9543f9697db89a3ffc1e4b244cc57
    Closes-Bug: #1850236
    (cherry picked from commit 6deffc3188222be306c21b845f994e2f701a0cd0)
    (cherry picked from commit e2a354d877ab35a31b9726281686ee7724b2db95)

tags: added: in-stable-stein

Reviewed: https://review.opendev.org/717242
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=e2a260f4ab502015cd51380553c700bf473040bd
Submitter: Zuul
Branch: stable/stein

commit e2a260f4ab502015cd51380553c700bf473040bd
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I5ae8d2df21481b91fa7721d3a899a3f1c3bca1ce
    Closes-Bug: #1850236
    (cherry picked from commit c5807a735e82b0cc258aa42d4520b1f64a7afa53)
    (cherry picked from commit 60ee76fa3f40a62c0b935b37f98787945f80bb9c)

Reviewed: https://review.opendev.org/717244
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=2f62952075647928a7d94fb94fedb3adc1ed6a09
Submitter: Zuul
Branch: stable/stein

commit 2f62952075647928a7d94fb94fedb3adc1ed6a09
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I0b138b16696d289176d26518cff6b6b408e9750e
    Closes-Bug: #1850236
    (cherry picked from commit 82b194a9dcda1e88d74a53d3330873386519ef23)
    (cherry picked from commit b1dfac628cae3b11ca14adbcb3e19803f0e5f515)

Reviewed: https://review.opendev.org/717248
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=5888d068e870857cd42372aaf2b4bf30bcffed92
Submitter: Zuul
Branch: stable/stein

commit 5888d068e870857cd42372aaf2b4bf30bcffed92
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I53209c2675c883c305b6e62e5233950cf66d14a6
    Closes-Bug: #1850236
    (cherry picked from commit a0653bd4eb063dd2c094a9b05ba2ead7bfa4c954)
    (cherry picked from commit e41b1b684c659be503b2f25e306ab946ce125c8b)

Reviewed: https://review.opendev.org/717232
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=748c9cd06a7d40aadefa298aa0f976e3f72dcc04
Submitter: Zuul
Branch: stable/stein

commit 748c9cd06a7d40aadefa298aa0f976e3f72dcc04
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Id1d41ef02346860f70cfd71361a0ca7aea2816cf
    Closes-Bug: #1850236
    (cherry picked from commit 298ab338012b58361f8b804da7b0644652d699fc)
    (cherry picked from commit bddf0f9d3d201c30f9e4b70c64ed7e308037778d)

Reviewed: https://review.opendev.org/717230
Committed: https://git.openstack.org/cgit/openstack/puppet-sahara/commit/?id=2a485e2665c4bf35d683bd0a34821f8b053ae01f
Submitter: Zuul
Branch: stable/stein

commit 2a485e2665c4bf35d683bd0a34821f8b053ae01f
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I0fbcea4c1caed554db673bbb993c7c80e9ebb319
    Closes-Bug: #1850236
    (cherry picked from commit 6a14e2f8d6b92d8659c8581f7d5b30554b563f70)
    (cherry picked from commit 4918a9365e234da31692e466d4a9b43ede3af472)

Reviewed: https://review.opendev.org/717246
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=782619925b0395ccfc02a20142f5dbeb65539924
Submitter: Zuul
Branch: stable/stein

commit 782619925b0395ccfc02a20142f5dbeb65539924
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Ia51605174ec50456ff7e61c703cf2c7c79d65ef6
    Closes-Bug: #1850236
    (cherry picked from commit b4ab38b179190575a3cee7a337a59ab941081a1f)
    (cherry picked from commit 47ddad66890079571d72218f4c108309c13ae214)

Reviewed: https://review.opendev.org/717257
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=563febbfb74574abaa629fcfd31cb62f0a6a5404
Submitter: Zuul
Branch: stable/stein

commit 563febbfb74574abaa629fcfd31cb62f0a6a5404
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Iecc817f44ee34a737be6085ea752a878c8b7095d
    Closes-Bug: #1850236
    (cherry picked from commit 904c732828c50983b48d6fb6d5a86a20e1fd5927)
    (cherry picked from commit e322e9b2dd9505fc1b8fbc58a663a6fef42f386c)

tags: added: in-stable-train

Reviewed: https://review.opendev.org/717227
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=516c3c2b2f9d72f88b5dd3fcfa5bd06dfa542eab
Submitter: Zuul
Branch: stable/train

commit 516c3c2b2f9d72f88b5dd3fcfa5bd06dfa542eab
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I73d0c80af54de3d9c72291e9f1916058cd6bed02
    Closes-Bug: #1850236
    (cherry picked from commit 2d4ad36d4d8a5b6a0b2a4cc2a2b3c5bd8f01f134)

Reviewed: https://review.opendev.org/717256
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=e322e9b2dd9505fc1b8fbc58a663a6fef42f386c
Submitter: Zuul
Branch: stable/train

commit e322e9b2dd9505fc1b8fbc58a663a6fef42f386c
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Iecc817f44ee34a737be6085ea752a878c8b7095d
    Closes-Bug: #1850236
    (cherry picked from commit 904c732828c50983b48d6fb6d5a86a20e1fd5927)

Reviewed: https://review.opendev.org/717250
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=e93acef84f3fc6f99f72b6d1d9e33203bc5db445
Submitter: Zuul
Branch: stable/stein

commit e93acef84f3fc6f99f72b6d1d9e33203bc5db445
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I18cd5a64aa436d955d96d32e898e364ef9a7c3ca
    Closes-Bug: #1850236
    (cherry picked from commit 2b09b06b561b753d582fe9a117a73b0259dbb45b)
    (cherry picked from commit a2921d3e3c7c4e553c86cc34a4e0c267c07a8eac)

Reviewed: https://review.opendev.org/717253
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=e2a354d877ab35a31b9726281686ee7724b2db95
Submitter: Zuul
Branch: stable/train

commit e2a354d877ab35a31b9726281686ee7724b2db95
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I9e6b7e2f80d9543f9697db89a3ffc1e4b244cc57
    Closes-Bug: #1850236
    (cherry picked from commit 6deffc3188222be306c21b845f994e2f701a0cd0)

Reviewed: https://review.opendev.org/717231
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=bddf0f9d3d201c30f9e4b70c64ed7e308037778d
Submitter: Zuul
Branch: stable/train

commit bddf0f9d3d201c30f9e4b70c64ed7e308037778d
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Id1d41ef02346860f70cfd71361a0ca7aea2816cf
    Closes-Bug: #1850236
    (cherry picked from commit 298ab338012b58361f8b804da7b0644652d699fc)

Reviewed: https://review.opendev.org/717229
Committed: https://git.openstack.org/cgit/openstack/puppet-sahara/commit/?id=4918a9365e234da31692e466d4a9b43ede3af472
Submitter: Zuul
Branch: stable/train

commit 4918a9365e234da31692e466d4a9b43ede3af472
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I0fbcea4c1caed554db673bbb993c7c80e9ebb319
    Closes-Bug: #1850236
    (cherry picked from commit 6a14e2f8d6b92d8659c8581f7d5b30554b563f70)

Reviewed: https://review.opendev.org/717245
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=47ddad66890079571d72218f4c108309c13ae214
Submitter: Zuul
Branch: stable/train

commit 47ddad66890079571d72218f4c108309c13ae214
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Ia51605174ec50456ff7e61c703cf2c7c79d65ef6
    Closes-Bug: #1850236
    (cherry picked from commit b4ab38b179190575a3cee7a337a59ab941081a1f)

Reviewed: https://review.opendev.org/717247
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=e41b1b684c659be503b2f25e306ab946ce125c8b
Submitter: Zuul
Branch: stable/train

commit e41b1b684c659be503b2f25e306ab946ce125c8b
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I53209c2675c883c305b6e62e5233950cf66d14a6
    Closes-Bug: #1850236
    (cherry picked from commit a0653bd4eb063dd2c094a9b05ba2ead7bfa4c954)

Reviewed: https://review.opendev.org/717240
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=0ea1a5daecc3f3d1579653b160249856878036b0
Submitter: Zuul
Branch: stable/stein

commit 0ea1a5daecc3f3d1579653b160249856878036b0
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I9c9b681d356b11ff4bafeb37c7c19459bb99cf2d
    Closes-Bug: #1850236
    (cherry picked from commit 29f5049be21b57b32de8290935774bbe03a51dbc)
    (cherry picked from commit 5e41b95ec01a5ca4dc643bd12335621afa2a8c45)

Reviewed: https://review.opendev.org/717239
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=5e41b95ec01a5ca4dc643bd12335621afa2a8c45
Submitter: Zuul
Branch: stable/train

commit 5e41b95ec01a5ca4dc643bd12335621afa2a8c45
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I9c9b681d356b11ff4bafeb37c7c19459bb99cf2d
    Closes-Bug: #1850236
    (cherry picked from commit 29f5049be21b57b32de8290935774bbe03a51dbc)

Reviewed: https://review.opendev.org/717249
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=a2921d3e3c7c4e553c86cc34a4e0c267c07a8eac
Submitter: Zuul
Branch: stable/train

commit a2921d3e3c7c4e553c86cc34a4e0c267c07a8eac
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I18cd5a64aa436d955d96d32e898e364ef9a7c3ca
    Closes-Bug: #1850236
    (cherry picked from commit 2b09b06b561b753d582fe9a117a73b0259dbb45b)

Reviewed: https://review.opendev.org/717236
Committed: https://git.openstack.org/cgit/openstack/puppet-murano/commit/?id=9a855f7c15b271269f37c8b5ef97c8038aad4496
Submitter: Zuul
Branch: stable/stein

commit 9a855f7c15b271269f37c8b5ef97c8038aad4496
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I061cbedf6cfd1a98e97b33867d6aaa9da933be31
    Closes-Bug: #1850236
    (cherry picked from commit 6e6252a395a2d8b4ab94f5108be0766d07085fb3)
    (cherry picked from commit c6580ecdadc1af7bee1b83d7d8b4044fc35f977a)

Reviewed: https://review.opendev.org/717235
Committed: https://git.openstack.org/cgit/openstack/puppet-murano/commit/?id=c6580ecdadc1af7bee1b83d7d8b4044fc35f977a
Submitter: Zuul
Branch: stable/train

commit c6580ecdadc1af7bee1b83d7d8b4044fc35f977a
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I061cbedf6cfd1a98e97b33867d6aaa9da933be31
    Closes-Bug: #1850236
    (cherry picked from commit 6e6252a395a2d8b4ab94f5108be0766d07085fb3)

Reviewed: https://review.opendev.org/717219
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=89a969cd1d0b44f1c37daedeb9f0ce8b124e2c63
Submitter: Zuul
Branch: stable/stein

commit 89a969cd1d0b44f1c37daedeb9f0ce8b124e2c63
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Idb85b81978786be8696715921eb9d95b7d424654
    Closes-Bug: #1850236
    (cherry picked from commit a8fec741ead2f86e0220e2e79fb58a9ea11a37c6)
    (cherry picked from commit ee25acbb405d3ad0a84cb9997b7bc25cb406c6d9)

Reviewed: https://review.opendev.org/717218
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=ee25acbb405d3ad0a84cb9997b7bc25cb406c6d9
Submitter: Zuul
Branch: stable/train

commit ee25acbb405d3ad0a84cb9997b7bc25cb406c6d9
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: Idb85b81978786be8696715921eb9d95b7d424654
    Closes-Bug: #1850236
    (cherry picked from commit a8fec741ead2f86e0220e2e79fb58a9ea11a37c6)

Reviewed: https://review.opendev.org/717234
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=1b27a515ce192d5307c3dbd7a8be44f464640079
Submitter: Zuul
Branch: stable/stein

commit 1b27a515ce192d5307c3dbd7a8be44f464640079
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: If3a1dec0766f42a51c801e84a94aa3caa1b19240
    Closes-Bug: #1850236
    (cherry picked from commit 63f183e7d65445eea43cd5f3ca4243d232247082)
    (cherry picked from commit a9b1a1284eff7a77e5d6c9fd3b3fa776e01a304f)

Reviewed: https://review.opendev.org/717252
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=d26eb5bc408bb52ff0d49152cb35811049117530
Submitter: Zuul
Branch: stable/stein

commit d26eb5bc408bb52ff0d49152cb35811049117530
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I1c2015a899477fe99557e0bff275f51c82d9e788
    Closes-Bug: #1850236
    (cherry picked from commit 97d4c1897c36365dc39af8769319d7517de28f70)
    (cherry picked from commit fe6fe19d6d13119caf0e084725f03182e8389a78)

Reviewed: https://review.opendev.org/717251
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=fe6fe19d6d13119caf0e084725f03182e8389a78
Submitter: Zuul
Branch: stable/train

commit fe6fe19d6d13119caf0e084725f03182e8389a78
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I1c2015a899477fe99557e0bff275f51c82d9e788
    Closes-Bug: #1850236
    (cherry picked from commit 97d4c1897c36365dc39af8769319d7517de28f70)

Reviewed: https://review.opendev.org/717221
Committed: https://git.openstack.org/cgit/openstack/puppet-cloudkitty/commit/?id=2af6e8d11192eff3e2fb18ebd5352657ead15589
Submitter: Zuul
Branch: stable/stein

commit 2af6e8d11192eff3e2fb18ebd5352657ead15589
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: If8263cc4ed9ccb2d707da1c035362ace5ca6ef30
    Closes-Bug: #1850236
    (cherry picked from commit dd08b3f05169208ad33914a97f3799384f0d81df)
    (cherry picked from commit 8a54e2c695ae1d32d909715adffddd01a4eac2dd)

Reviewed: https://review.opendev.org/717223
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=8f114707f433b36cb893eca86c8e45ee4b118e08
Submitter: Zuul
Branch: stable/stein

commit 8f114707f433b36cb893eca86c8e45ee4b118e08
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I74420126949df21ea1610e0fb7ffef0960c9704c
    Closes-Bug: #1850236
    (cherry picked from commit fa684cc84e9217e16217e378f4f291b48f7859bd)
    (cherry picked from commit 15bfeb667b8ed0c01eb7a64daf61c52919ed33a7)

Reviewed: https://review.opendev.org/717222
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=15bfeb667b8ed0c01eb7a64daf61c52919ed33a7
Submitter: Zuul
Branch: stable/train

commit 15bfeb667b8ed0c01eb7a64daf61c52919ed33a7
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I74420126949df21ea1610e0fb7ffef0960c9704c
    Closes-Bug: #1850236
    (cherry picked from commit fa684cc84e9217e16217e378f4f291b48f7859bd)

Reviewed: https://review.opendev.org/717243
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=b1dfac628cae3b11ca14adbcb3e19803f0e5f515
Submitter: Zuul
Branch: stable/train

commit b1dfac628cae3b11ca14adbcb3e19803f0e5f515
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:05 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I0b138b16696d289176d26518cff6b6b408e9750e
    Closes-Bug: #1850236
    (cherry picked from commit 82b194a9dcda1e88d74a53d3330873386519ef23)

Reviewed: https://review.opendev.org/717220
Committed: https://git.openstack.org/cgit/openstack/puppet-cloudkitty/commit/?id=8a54e2c695ae1d32d909715adffddd01a4eac2dd
Submitter: Zuul
Branch: stable/train

commit 8a54e2c695ae1d32d909715adffddd01a4eac2dd
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: If8263cc4ed9ccb2d707da1c035362ace5ca6ef30
    Closes-Bug: #1850236
    (cherry picked from commit dd08b3f05169208ad33914a97f3799384f0d81df)

Reviewed: https://review.opendev.org/717237
Committed: https://git.openstack.org/cgit/openstack/puppet-congress/commit/?id=e8b1a7f5c9019a25c100c03d144b5762a5b2fd92
Submitter: Zuul
Branch: stable/train

commit e8b1a7f5c9019a25c100c03d144b5762a5b2fd92
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I55428eefe522297ac2c948822ad98a9ba503360f
    Closes-Bug: #1850236
    (cherry picked from commit a0c7e8b8fcbe1c392aa1534ee8e866d400fb6fac)

Reviewed: https://review.opendev.org/717233
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=a9b1a1284eff7a77e5d6c9fd3b3fa776e01a304f
Submitter: Zuul
Branch: stable/train

commit a9b1a1284eff7a77e5d6c9fd3b3fa776e01a304f
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: If3a1dec0766f42a51c801e84a94aa3caa1b19240
    Closes-Bug: #1850236
    (cherry picked from commit 63f183e7d65445eea43cd5f3ca4243d232247082)

Reviewed: https://review.opendev.org/717140
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=5a268972756ddcde7b42179b2432a9b99fc94cd7
Submitter: Zuul
Branch: stable/stein

commit 5a268972756ddcde7b42179b2432a9b99fc94cd7
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I24bfc3ccbd84481d4a92cc0665d2d724c72a6b91
    Closes-Bug: #1850236
    (cherry picked from commit 3e999fd104b1df3dc9735a7098e3e48fdc39e2cd)
    (cherry picked from commit 24b85a86fece23b6a051404e4316ab5f882242ba)

Reviewed: https://review.opendev.org/717141
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=24b85a86fece23b6a051404e4316ab5f882242ba
Submitter: Zuul
Branch: stable/train

commit 24b85a86fece23b6a051404e4316ab5f882242ba
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I24bfc3ccbd84481d4a92cc0665d2d724c72a6b91
    Closes-Bug: #1850236
    (cherry picked from commit 3e999fd104b1df3dc9735a7098e3e48fdc39e2cd)

Reviewed: https://review.opendev.org/717228
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=efa77baa44cc798e1260797f1ecc3def5aa30386
Submitter: Zuul
Branch: stable/stein

commit efa77baa44cc798e1260797f1ecc3def5aa30386
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Oct 29 09:31:04 2019 +0800

    Fix rabbitmq dependency

    puppetlabs/rabbitmq [1] is deprecated, and max version is 5.6.0 which can
    not be fulfilled by this dependency.

    Correct it to puppet-rabbitmq [2] instead which is being actively maintained
    and has the right version.

    [1]: https://forge.puppet.com/puppetlabs/rabbitmq
    [2]: https://forge.puppet.com/puppet/rabbitmq

    Change-Id: I73d0c80af54de3d9c72291e9f1916058cd6bed02
    Closes-Bug: #1850236
    (cherry picked from commit 2d4ad36d4d8a5b6a0b2a4cc2a2b3c5bd8f01f134)
    (cherry picked from commit 516c3c2b2f9d72f88b5dd3fcfa5bd06dfa542eab)

Displaying first 40 and last 40 comments. View all 133 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers